summaryrefslogtreecommitdiff
path: root/package/mpd/files
diff options
context:
space:
mode:
authorwbx <wbx@hydrogenium.(none)>2009-05-17 14:41:34 +0200
committerwbx <wbx@hydrogenium.(none)>2009-05-17 14:41:34 +0200
commit219a6dab8995aad9ac4860cc1a84d6f3509a03a4 (patch)
treeb9c0f3c43aebba2fcfef777592d0add39f2072f4 /package/mpd/files
Initial import
Diffstat (limited to 'package/mpd/files')
-rw-r--r--package/mpd/files/mpd.conf18
-rw-r--r--package/mpd/files/mpd.init26
2 files changed, 44 insertions, 0 deletions
diff --git a/package/mpd/files/mpd.conf b/package/mpd/files/mpd.conf
new file mode 100644
index 000000000..4e3725119
--- /dev/null
+++ b/package/mpd/files/mpd.conf
@@ -0,0 +1,18 @@
+# An example configuration file for MPD
+user "mpd"
+music_directory "~/music"
+playlist_directory "~/.mpd/playlists"
+db_file "~/.mpd/database"
+log_file "~/.mpd/log"
+error_file "~/.mpd/error-log"
+# An example of an ALSA output
+audio_output {
+ type "alsa"
+ name "My ALSA Device"
+ device "hw:0,0" # optional
+ format "44100:16:2" # optional
+}
+# Volume control mixer
+mixer_type "alsa"
+mixer_device "default"
+mixer_control "PCM"
diff --git a/package/mpd/files/mpd.init b/package/mpd/files/mpd.init
new file mode 100644
index 000000000..b07a189a1
--- /dev/null
+++ b/package/mpd/files/mpd.init
@@ -0,0 +1,26 @@
+#!/bin/sh
+#FWINIT 60
+. /etc/rc.conf
+
+case $1 in
+autostop) ;;
+autostart)
+ test x"${mpd:-NO}" = x"NO" && exit 0
+ exec sh $0 start
+ ;;
+start)
+ mpd
+ ;;
+stop)
+ mpd --kill
+ ;;
+restart)
+ sh $0 stop
+ sh $0 start
+ ;;
+*)
+ echo "Usage: $0 {start | stop | restart}"
+ exit 1
+ ;;
+esac
+exit $?